Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1045656 - Setup Host Networks dialog: Unnecessary "Add NIC to Bond" Item
Summary: Setup Host Networks dialog: Unnecessary "Add NIC to Bond" Item
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.4.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-20 23:52 UTC by Einav Cohen
Modified: 2016-02-10 19:58 UTC (History)
9 users (show)

Fixed In Version: av3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)
screen-shot: Setup Host Network (deleted)
2013-12-20 23:52 UTC, Einav Cohen
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24993 None None None Never
oVirt gerrit 25419 None None None Never

Description Einav Cohen 2013-12-20 23:52:05 UTC
Created attachment 839865 [details]
screen-shot: Setup Host Network

Description of problem:
The context menu on a NIC that is already part of a bond contains an option to add this NIC to the bond (which, of course, is unnecessary, as the NIC is already part of the Bond).

Version-Release number of selected component (if applicable):
upstream master / is28 (3.3)

How reproducible:
100%

Steps to Reproduce:
1. Open the 'Setup Host Networks' dialog
2. Drag one of the NICs onto another NIC to form a Bond
[Bond pop-up opens up]
3. fill bond name, bond mode, click "OK"
["bond" is formed, let's call it "bond0"]
4. right click on one of the NICs within "bond0" to open its context menu

Actual results:
one of the items in the context menu is to "Add [NIC] to bond -> bond0". 

Expected results:
you shouldn't be offered to add [NIC] to a bond to which it already belongs.  

Additional info:
this happened when creating the bond in the context of this dialog; not sure what happens when opening the dialog and the bond already exists there.

Comment 2 Meni Yakove 2014-03-17 07:06:25 UTC
rhevm-3.4.0-0.5.master.el6ev.noarch

Comment 3 Itamar Heim 2014-06-12 14:09:25 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.